[Overview][Classes][Procedures and functions][Index] | Reference for unit 'XMLPropStorage' (#lcl)

# TXMLConfigStorage.Create

Constructor for the class instance.

## Declaration

Source position: xmlpropstorage.pas line 95

`public constructor TXMLConfigStorage.Create(`
`const Filename: string;`
`LoadFromDisk: Boolean`
`); override; constructor TXMLConfigStorage.Create(`
`TheXMLConfig: TXMLConfig`
`); constructor TXMLConfigStorage.Create(`
`TheXMLConfig: TXMLConfig;`
`const StartPath: string`
`); constructor TXMLConfigStorage.Create(`
`s: TStream;`
`const StartPath: string = ''`
`);`

## Arguments

`Filename` |  | Qualified file name where the XML content is stored.
`LoadFromDisk` |  | True to load existing XML content from the file, or False to create an empty storage.

## Arguments

`TheXMLConfig` |  | TXMLConfig instance where the XML paths and values are stored.

## Arguments

`TheXMLConfig` |  | TXMLConfig instance where the XML paths and values are stored.
`StartPath` |  | Initial path for values read and written in the class instance.

## Arguments

`s` |  | Stream with the XML content loaded in the XMLConfig storage.
`StartPath` |  | Initial path for values read and written in the class instance.

## Description

Create is the overridden, overloaded constructor for the class instance. The overloaded variants allow the XML content to read from various sources like a file name, a TXMLConfig instance, a scoped TXMLConfig instance, or a TStream instance.

Use WriteToDisk or SaveToStream to specify where the XML content is stored .